com.rscja.deviceapi.interfaces

## Interface IRFIDWithUHFUrxUsbToUart

- All Superinterfaces:
    IMultipleAntenna, IUHF, IUHFURx
  All Known Implementing Classes:
    RFIDWithUHFUrxUsbToUart, RFIDWithUHFUrxUsbToUart_qcom

      public interface IRFIDWithUHFUrxUsbToUart
      extends IUHFURx

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `init(android.hardware.usb.UsbDevice currDevice, android.content.Context context)`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFURx

      `disableBeep, enableBeep, factoryReset, getANT, getAntennaConnectState, getDestIP, getErrCode, getFastInventoryMode, getInputStatus, getSTM32Version, getTriggerWorkModePara, getUhfReaderIP, getWorkMode, isEnableBeep, setANT, setDestIP, setFastInventoryMode, setRelayStatus, setTriggerWorkModePara, setUhfReaderIP, setWorkMode, startInventoryTag, uhfJump2BootSTM32`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getAntennaPower, getAntennaPower, setAntennaPower`

- - ### Method Detail

    - #### init

          boolean init(android.hardware.usb.UsbDevice currDevice,
                       android.content.Context context)